Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#41 patch for 1.2.4 to compile with gcc 4.3

Stable
open
3
2008-01-04
2007-12-01
No

Hello,

please find attached a patch the changes a few includes in the source. By doing so it is possible to compile mm3d also with gcc 4.3

Please review the patch and feel free to you it,.

Discussion

  • gcc 4.3 compile patch

     
    Attachments
  • Logged In: YES
    user_id=1056544
    Originator: NO

    I don't have a 4.3 build environment to test with. Could you tell me which symbols were not found so that I can check the source in the development branch for the same problems?

     
  • Logged In: NO

    It was mainly symbols like strcmp, strlen strcpy that are missing (#include <cstring>)

    I can take the time and try compiling your trunk version and submit a patch for gcc 4.3 for this one if you wish.

     
    • priority: 5 --> 3
    • assigned_to: nobody --> kworces
     
  • Logged In: YES
    user_id=1056544
    Originator: NO

    I had to apply the same fixes to the 1.3 branch, but it looks like all the other files were fine (at least for the string functions). If it's not a lot of trouble to check the svn trunk that would be nice, but don't go to any great effort over it.

    I don't have any immediate plans to release a new 1.2.x. I'm more likely to start the 1.4 stable branch. Either way, I'll leave this bug open with the patch attached until a new stable version is out.

     
  • Logged In: NO

    the patch is not complete, infact it continue to fail due to undeclared free and malloc.. it must be completed,

     
  • Logged In: NO

    not able to attach maybe because i'm not logged in..btw this is the full patch:

    diff -uNr mm3d-1.2.4/src/checkupdate.cc mm3d-1.2.4-fixed/src/checkupdate.cc
    --- mm3d-1.2.4/src/checkupdate.cc 2005-12-21 06:15:52.000000000 +0100
    +++ mm3d-1.2.4-fixed/src/checkupdate.cc 2008-07-09 10:23:34.000000000 +0200
    @@ -32,6 +32,7 @@
    #include <sys/stat.h>

    #include <string>
    +#include <cstring>

    #ifndef WIN32
    #include <sys/wait.h>
    @@ -394,4 +395,3 @@
    }

    #endif // MODULETEST
    -
    diff -uNr mm3d-1.2.4/src/libmm3d/modelundo.h mm3d-1.2.4-fixed/src/libmm3d/modelundo.h
    --- mm3d-1.2.4/src/libmm3d/modelundo.h 2005-12-21 06:15:51.000000000 +0100
    +++ mm3d-1.2.4-fixed/src/libmm3d/modelundo.h 2008-07-09 10:23:34.000000000 +0200
    @@ -1429,8 +1429,8 @@
    unsigned size();

    void setBackgroundCenter( const unsigned & index,
    - float newX, float newY, float newY,
    - float oldX, float oldY, float oldY );
    + float newX, float newY, float newZ,
    + float oldX, float oldY, float oldZ );

    private:
    unsigned m_index;
    diff -uNr mm3d-1.2.4/src/libmm3d/texmgr.cc mm3d-1.2.4-fixed/src/libmm3d/texmgr.cc
    --- mm3d-1.2.4/src/libmm3d/texmgr.cc 2005-12-21 06:15:51.000000000 +0100
    +++ mm3d-1.2.4-fixed/src/libmm3d/texmgr.cc 2008-07-09 10:23:34.000000000 +0200
    @@ -28,6 +28,7 @@
    #include "mm3dport.h"
    #include <string.h>
    #include <time.h>
    +#include <cstdlib>

    #include <ctype.h>

    @@ -569,4 +570,3 @@

    return rval;
    }
    -
    diff -uNr mm3d-1.2.4/src/libmm3d/undomgr.h mm3d-1.2.4-fixed/src/libmm3d/undomgr.h
    --- mm3d-1.2.4/src/libmm3d/undomgr.h 2005-12-21 06:15:51.000000000 +0100
    +++ mm3d-1.2.4-fixed/src/libmm3d/undomgr.h 2008-07-09 10:23:34.000000000 +0200
    @@ -25,6 +25,8 @@
    #define __UNDOMGR_H

    #include <list>
    +#include <cstring>
    +#include <cstdlib>

    using std::list;

    diff -uNr mm3d-1.2.4/src/prefs.cc mm3d-1.2.4-fixed/src/prefs.cc
    --- mm3d-1.2.4/src/prefs.cc 2005-12-21 06:15:52.000000000 +0100
    +++ mm3d-1.2.4-fixed/src/prefs.cc 2008-07-09 10:23:34.000000000 +0200
    @@ -25,6 +25,7 @@

    #include <stdio.h>
    #include <qstring.h>
    +#include <cstdlib>

    using std::map;
    using std::vector;
    diff -uNr mm3d-1.2.4/src/qttex.cc mm3d-1.2.4-fixed/src/qttex.cc
    --- mm3d-1.2.4/src/qttex.cc 2005-12-21 06:15:52.000000000 +0100
    +++ mm3d-1.2.4-fixed/src/qttex.cc 2008-07-09 10:28:29.000000000 +0200
    @@ -28,6 +28,7 @@

    #include <qimage.h>
    #include <ctype.h>
    +#include <cstdlib>
    #include <qbuffer.h>

    #ifdef HAVE_QT4
    diff -uNr mm3d-1.2.4/src/statusbar.cc mm3d-1.2.4-fixed/src/statusbar.cc
    --- mm3d-1.2.4/src/statusbar.cc 2005-12-21 06:15:52.000000000 +0100
    +++ mm3d-1.2.4-fixed/src/statusbar.cc 2008-07-09 10:24:33.000000000 +0200
    @@ -30,6 +30,7 @@
    #include <qtimer.h>

    #include <stdarg.h>
    +#include <cstdlib>

    using std::map;

    diff -uNr mm3d-1.2.4/src/sysconf.cc mm3d-1.2.4-fixed/src/sysconf.cc
    --- mm3d-1.2.4/src/sysconf.cc 2005-12-21 06:15:53.000000000 +0100
    +++ mm3d-1.2.4-fixed/src/sysconf.cc 2008-07-09 10:23:34.000000000 +0200
    @@ -32,6 +32,7 @@
    #include "mm3dreg.h"
    #include "version.h"

    +
    using namespace Mm3dReg;

    #endif // WIN32
    @@ -40,6 +41,9 @@
    #include "mm3dconfig.h"
    #include "mm3dport.h"
    #include "log.h"
    +#include <cstdlib>
    +#include <cstring>
    +

    #include <unistd.h>

    @@ -215,4 +219,3 @@
    {
    return s_sharedPluginDir;
    }
    -